{% block menu %}
    {% set route_name = app.request.get('_route')|split('_').0 %}
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <div class="container-fluid">

            <ul class="nav me-auto">
                <li class="nav-item">
                    <a href="{{ path('homepage') }}" class="text-decoration-none text-white">
                        <img src="{{ asset('assets/images/apple-touch-icon.png') }}" alt="logo" height="28rem"
                             style="filter: grayscale(1);">
                    </a></li>
            </ul>

            <button class="navbar-toggler collapsed" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarNavigation" aria-controls="navbarNavigation" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>


            <div class="navbar-collapse collapse" id="navbarNavigation">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    {#      <li class="nav-item">
                        <a href="{{ path('homepage') }}"
                           class="nav-link {{ (route_name=='homepage')?'active':'' }}">
                            {% trans %}Home{% endtrans %}
                        </a>
                    </li> #}
                    <li class="nav-item">
                        <a href="{{ path('house_index') }}"
                           class="nav-link {{ (route_name=='pantry')?'active':'' }}">
                            {% trans %}Pantries{% endtrans %}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ path('shopping_list_index') }}"
                           class="nav-link {{ (route_name=='shopping')?'active':'' }}">
                            {% trans %}Shopping list{% endtrans %}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ path('product_presence_sort',{'field': 'expiration','direction': 'ASC'}) }}"
                           class="nav-link {{ (route_name=='expired_food')?'active':'' }}">
                            {% trans %}Expired food{% endtrans %}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ path('product_presence_index') }}"
                           class="nav-link {{ (route_name=='product-presence')?'active':'' }}">
                            {% trans %}Products{% endtrans %}
                        </a>
                    </li>
                </ul>
                <ul class="nav ms-auto">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDropdown"
                           role="button"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            {{ app.user.lastname }} {{ app.user.firstname }}
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="{{ path('profile_edit') }}">
                                    {% trans %}Preferences{% endtrans %}
                                </a></li>
                            <li>
                            <li><a class="dropdown-item" href="{{ path('change_password') }}">
                                    {% trans %}Password{% endtrans %}
                                </a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="{{ path('logout') }}">
                                    {% trans %}Logout{% endtrans %}
                                </a></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
{% endblock %}

